import { GlobalLayout } from "@/components/global-layout"
import { Card, CardContent, CardFooter, CardHeader, CardTitle } from "@/components/ui/card"

export default function HelpPage() {
    return (
        <GlobalLayout
            mainContent={
                <Card>
                    <CardHeader>
                        <CardTitle>
                            Help / FAQ
                        </CardTitle>
                    </CardHeader>
                    <CardContent className="grid gap-1">
                        <p className="font-bold">1. How do I create an account?</p>
                        <p>
                            To create an account, click on the &quot;Sign Up&quot; button on the homepage.
                            Fill in the required information and follow the prompts to complete the registration process.
                        </p>

                        <p className="font-bold pt-6">2. How can I reset my password?</p>
                        <p>
                            If you forgot your password, go to the login page and click on the &quot;Forgot Password&quot; link.
                            Enter your email address and follow the instructions sent to your email to reset your password.
                        </p>

                        <p className="font-bold pt-6">3. How can I create a new post?</p>
                        <p>
                            To create a new post, you have multiple options depending on where you are on the website.
                            If you&apos;re on the homepage, community page, or your profile page, you&apos;ll find a text field where you can write your post.
                            Once you&apos;re done, simply click the &quot;Post&quot; button to publish your content and share it with others.
                        </p>

                        <p className="font-bold pt-6">4. How can I edit or delete my post?</p>
                        <p>
                            To edit or delete your post, go to the Home page or your profile page and locate your post.
                            Depending on the platform, there may be options to edit or delete the post.
                            Click on the respective option and follow the prompts to make the desired changes.
                        </p>

                        <p className="font-bold pt-6">5. How do I follow a community or user?</p>
                        <p>
                            To follow a community or user, visit their profile or community page and look for the &quot;Follow&quot; button.
                            Click on it, and you&apos;ll start receiving updates and notifications from them.
                        </p>

                        <p className="font-bold pt-6">6. How do I customize my profile?</p>
                        <p>
                            To customize your profile, go to the settings of your account.
                            There, you can upload a profile picture, add a bio, update your personal information, and adjust privacy settings according to your preferences.
                        </p>

                        <p className="font-bold pt-6">7. Can I change my username?</p>
                        <p>
                            In most cases, you can change your username by going to the account settings.
                            Look for the option to edit your name and follow the provided instructions to make the change.
                        </p>

                        <p className="font-bold pt-6"> 8. How do I delete my account?</p>
                        <p>
                            If you wish to delete your account, go to the account settings “Account Settings” section and look for the option to delete your account.
                            Follow the provided steps and confirm your decision to permanently delete your account. Please note that this action is irreversible and will result in the loss of all associated data.
                        </p>
                    </CardContent>
                    <CardFooter className="flex flex-wrap items-center justify-between pt-6">
                        Remember, if you have any further questions or need additional assistance, feel free to reach out to our support team.
                    </CardFooter>
                </Card>
            }
        />
    )
}